# fsmIterator_s Struct Reference
[PAYLOAD.]

Iterator across package file info, forward on install, backward on erase. More...

`#include <fsm.h>`

## Data Fields

rpmTransactionSet | ts
TFI_t | fi
int | reverse
int | isave
int | i

## Detailed Description

Iterator across package file info, forward on install, backward on erase.

Definition at line 109 of file fsm.h.

## Field Documentation

rpmTransactionSet fsmIterator_s::ts

transaction set.

Definition at line 110 of file fsm.h.

Referenced by fsmGetTs().

TFI_t fsmIterator_s::fi

transaction element file info.

Definition at line 111 of file fsm.h.

Referenced by fsmGetFi(), mapFind(), and mapNextIterator().

int fsmIterator_s::reverse

reversed traversal?

Definition at line 112 of file fsm.h.

Referenced by mapNextIterator().

int fsmIterator_s::isave

last returned iterator index.

Definition at line 113 of file fsm.h.

Referenced by mapNextIterator().

int fsmIterator_s::i

iterator index.

Definition at line 114 of file fsm.h.

Referenced by mapFind(), and mapNextIterator().

The documentation for this struct was generated from the following file:

- lib/fsm.h